Opened 13 years ago

Closed 12 years ago

#2959 closed defect (fixed)

GOB2: Incorrect sound for goblins walking

Reported by: SF/adamhearn Owned by: DrMcCoy
Priority: low Component: Engine: Gob
Keywords: Cc:
Game: Gobliins 2

Description

Gobliins 2 V1.01 from original release CD

Platform: WinXP Pro (SP2, full Windows Update), Pentium-M 2Ghz, 2GB RAM,
GF6600GT (71.89), Audigy 2ZS (WBUP2_LB_2_09_0016)

When each of the goblins walk they should have a walking sound clip that is initiated every so often. However instead of this, a low frequency beep is heard instead.

This happens both with an .OGG encoded audio file or the CD.

The sound plays correctly under DOSBox 0.65.

Using configuration file: C:\Documents and Settings\Adam\Application Data\ScummV
M\scummvm.ini
ScummVM 0.10.0svn (Dec 22 2006 09:50:48)
Features compiled in: Vorbis FLAC MP3 zLib MPEG2

SCUMMVM.ini content:

[scummvm]
gfx_mode=hq3x
music_volume=255
midi_gain=100
speech_volume=100
browser_lastpath=C:\Games\ScummVM\Touche Demo\
aspect_ratio=true
music_driver=auto
lastselectedgame=gob2
native_mt32=false
gui_theme=modern
subtitles=true
fullscreen=false
sfx_volume=192
master_volume=255
talkspeed=60
speech_mute=false
enable_gs=false
multi_midi=false
versioninfo=0.10.0svn
savepath=C:\Games\ScummVM

[gob2]
description=Gobliins 2 (CD)
music_volume=192
midi_gain=100
speech_volume=192
path=C:\Games\ScummVM\Gobliins 2\
aspect_ratio=false
music_driver=auto
native_mt32=false
subtitles=false
gameid=gob2
fullscreen=false
sfx_volume=192
talkspeed=60
speech_mute=false
enable_gs=false
multi_midi=false

Ticket imported from: #1621086. Ticket imported from: bugs/2959.

Attachments (2)

gobwalking.wav (31.3 KB) - added by SF/adamhearn 13 years ago.
Goblin walking sound emitted by SCUMMVM
walk.mp3 (11.7 KB) - added by DrMcCoy 12 years ago.
Walking sound

Download all attachments as: .zip

Change History (26)

Changed 13 years ago by SF/adamhearn

Attachment: gobwalking.wav added

Goblin walking sound emitted by SCUMMVM

comment:1 Changed 13 years ago by sev-

Summary: Incorrect sound for goblins walking (beep played instead)GOB2: Incorrect sound for goblins walking

comment:2 Changed 13 years ago by sev-

Owner: set to DrMcCoy

comment:3 Changed 12 years ago by DrMcCoy

Well, that low frequency beep /is/ the walking sound, just not exactly correct, i.e. yet another still existing sound glitch.

comment:4 Changed 12 years ago by DrMcCoy

Could you try again with the latest SVN version / next daily build? It should sound more correct now...

comment:5 Changed 12 years ago by SF/adamhearn

Tested with SVN 8th Feb 2007 20:29:29
Other configuration as before.

I no longer get any sound when the goblins are walking. Also, very occasionally I get the dull beep as before.

comment:6 Changed 12 years ago by fingolfin

Priority: normallow

comment:7 Changed 12 years ago by bluegr

I get the same as adamhearn
Can't hear any sound and I occasionally get that dull beep

comment:8 Changed 12 years ago by bluegr

I get the same as adamhearn
Can't hear any sound and I occasionally get that dull beep

comment:9 Changed 12 years ago by bluegr

I get the same as adamhearn
Can't hear any sound and I occasionally get that dull beep

comment:10 Changed 12 years ago by bluegr

I get the same as adamhearn
Can't hear any sound and I occasionally get that dull beep

comment:11 Changed 12 years ago by bluegr

I get the same as adamhearn
Can't hear any sound and I occasionally get that dull beep

comment:12 Changed 12 years ago by sev-

thebluegr, please, close your tab in firefox with this item :) On each restart you post same message

comment:13 Changed 12 years ago by bluegr

oops :(

Changed 12 years ago by DrMcCoy

Attachment: walk.mp3 added

Walking sound

comment:14 Changed 12 years ago by DrMcCoy

To clarify, I've attached a mp3-file to show how it sounds for me now in ScummVM (and it sounds like that in dosbox, too, so that should be correct, I think). Is that what you hear as well?
File Added: walk.mp3

comment:15 Changed 12 years ago by SF/adamhearn

I don't hear that - which is as you say what it should sound like! I tried with and without CD (renaming Track1.ogg to be sure). I get no footstep sounds and the occasional 'beep' as per originally logged.

Tested against ScummVM version:
Using configuration file: C:\Documents and Settings\adam\Application Data\ScummV
M\scummvm.ini
ScummVM 0.10.0svn (Feb 13 2007 00:03:03)
Features compiled in: Vorbis FLAC MP3 zLib MPEG2

comment:16 Changed 12 years ago by sev-

Here I also have exactly same effect as recorded in walking.wav. I.e. occasional beeps. FreeBSD 6.2 x86 SDL, latest SVN.

comment:17 Changed 12 years ago by sev-

Just a though: perhaps there is some variable not initialized properly?

comment:18 Changed 12 years ago by Kirben

I tried the Gobliins 2 CD (1.02 version) under current ScummVM SVN with Valgrind, but no errors are reported when walking the characters around the first scene.

comment:19 Changed 12 years ago by DrMcCoy

Could you try again with the latest SVN version / next daily build?

comment:20 Changed 12 years ago by eriktorbjorn

I think the problem is that Gobliins 2 produces walking sounds by calling speakerOn() with duration -1 (beep indefinitely) and then almost immediately speakerOff(). ScummVM doesn't generate samples immediately, it's done by a callback that's called whenever the mixer decides that it wants more samples. By the time that happens, ScummVM will either see "don't generate any samples" or "generates samples indefinitely".

To get this to work properly, we'd probably need to buffer the speakerOn/Off calls, with time stamps, but that could be tricky if we allow pausing the game. (Do we?)

comment:21 Changed 12 years ago by DrMcCoy

> I think the problem is that Gobliins 2 produces walking sounds by calling
> speakerOn() with duration -1 (beep indefinitely) and then almost
> immediately speakerOff().

Yes, that's what I figured. My last change should work around it a bit.
But it still depends too much on timing, so I just now changed it again,
this time exploiting the fact that o1_keyFunc is used to produce the
delay between the speakerOn() and speakerOff() calls.

So, please try again with the latest SVN version / next daily build.

comment:22 Changed 12 years ago by sev-

Yes, this fixed it at least for me.

comment:23 Changed 12 years ago by bluegr

The latest change has fixed this glitch for me too
I think this could be safely closed now :)

comment:24 Changed 12 years ago by sev-

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.